<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Datec.' . $_EXTKEY,
	'Jobmarket',
	array(
		'Jobentry' => 'searchForm, search, new, show, hide, create, update, delete, edit, showExport, newContactMessage, sendContactMessage'
	),
	// non-cacheable actions
	array(
		'Jobentry' => 'searchForm, search, new, show, hide, create, update, delete, edit, showExport, newContactMessage, sendContactMessage'
	)
);
// Add tasks
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['scheduler']['tasks'][\Datec\DatecJobmarket\Task\CleanupTask::class] = array(
    'extension' => $_EXTKEY,
    'title' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.tasks.cleanupTask.name',
    'description' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.tasks.cleanupTask.description',
    'additionalFields' => \Datec\DatecJobmarket\Task\CleanupTaskAdditionalFieldProvider::class
);